com.io7m.jcanephora.renderstate

## Interface JCGLStencilStateType

- All Known Implementing Classes:
    JCGLStencilState, JCGLStencilStateMutable

      @Value.Immutable
       @Value.Modifiable
      public interface JCGLStencilStateType

  Stencil testing/writing state.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default JCGLStencilOperation` | `getOperationDepthFailBack()`
    `default JCGLStencilOperation` | `getOperationDepthFailFront()`
    `default JCGLStencilOperation` | `getOperationPassBack()`
    `default JCGLStencilOperation` | `getOperationPassFront()`
    `default JCGLStencilOperation` | `getOperationStencilFailBack()`
    `default JCGLStencilOperation` | `getOperationStencilFailFront()`
    `default boolean` | `getStencilEnabled()`
    `default boolean` | `getStencilStrict()` Enable or disable strict mode.
    `default JCGLStencilFunction` | `getTestFunctionBack()`
    `default JCGLStencilFunction` | `getTestFunctionFront()`
    `default int` | `getTestMaskBack()`
    `default int` | `getTestMaskFront()`
    `default int` | `getTestReferenceBack()`
    `default int` | `getTestReferenceFront()`
    `default int` | `getWriteMaskBackFaces()`
    `default int` | `getWriteMaskFrontFaces()`

- - ### Method Detail

    - #### getStencilEnabled

          @Value.Parameter
           @Value.Default
          default boolean getStencilEnabled()

      Returns:
        `true` if stencilling is enabled

    - #### getStencilStrict

          @Value.Parameter
           @Value.Default
          default boolean getStencilStrict()

      Enable or disable strict mode. If strict mode is enabled, then attempting to enable stencil writing/testing will fail with an exception if the currently bound framebuffer does not have a stencil buffer.
      Returns:
        `true` iff strict mode is enabled

    - #### getTestFunctionFront

          @Value.Parameter
           @Value.Default
          default JCGLStencilFunction getTestFunctionFront()

      Returns:
        The stencil function for front faces

    - #### getTestFunctionBack

          @Value.Parameter
           @Value.Default
          default JCGLStencilFunction getTestFunctionBack()

      Returns:
        The stencil function for back faces

    - #### getTestMaskBack

          @Value.Parameter
           @Value.Default
          default int getTestMaskBack()

      Returns:
        The stencil function mask value for back faces

    - #### getTestMaskFront

          @Value.Parameter
           @Value.Default
          default int getTestMaskFront()

      Returns:
        The stencil function mask value for front faces

    - #### getTestReferenceBack

          @Value.Parameter
           @Value.Default
          default int getTestReferenceBack()

      Returns:
        The stencil function reference value for back faces

    - #### getTestReferenceFront

          @Value.Parameter
           @Value.Default
          default int getTestReferenceFront()

      Returns:
        The stencil function reference value for front faces

    - #### getOperationStencilFailBack

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationStencilFailBack()

      Returns:
        The operation specified for back faces that fail the stencil test

    - #### getOperationDepthFailBack

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationDepthFailBack()

      Returns:
        The operation specified for back faces that fail the depth test

    - #### getOperationPassBack

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationPassBack()

      Returns:
        The operation specified for back faces that pass all tests

    - #### getOperationStencilFailFront

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationStencilFailFront()

      Returns:
        The operation specified for front faces that fail the stencil test

    - #### getOperationDepthFailFront

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationDepthFailFront()

      Returns:
        The operation specified for front faces that fail the depth test

    - #### getOperationPassFront

          @Value.Parameter
           @Value.Default
          default JCGLStencilOperation getOperationPassFront()

      Returns:
        The operation specified for front faces that pass all tests

    - #### getWriteMaskFrontFaces

          @Value.Parameter
           @Value.Default
          default int getWriteMaskFrontFaces()

      Returns:
        The write mask value specified for front faces

    - #### getWriteMaskBackFaces

          @Value.Parameter
           @Value.Default
          default int getWriteMaskBackFaces()

      Returns:
        The write mask value specified for back faces

Copyright © 2016 <code@io7m.com> http://io7m.com